Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.agf3d
Class CellOccupantEdit3DPart

    java.lang.Object
      AbstractGraphicalEditPart
          org.eclipse.amp.agf.gef.GenericEditPart
              org.eclipse.amp.agf.gef.AgentEditPart
                  org.eclipse.amp.agf3d.AgentEdit3DPart
                      org.eclipse.amp.escape.ascape.agf3d.AscapeAgentEdit3DPart
                          org.eclipse.amp.escape.ascape.agf3d.CellOccupantEdit3DPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

    public class CellOccupantEdit3DPart

extends AscapeAgentEdit3DPart

Author:
  mparker

Field Summary

Fields inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`anchor, HIGHLIGHT_ELLIPSE, HIGHLIGHT_RECTANGLE, noFigureWarning, SCALE, SIZE_FULL, SIZE_INSET_1`

Constructor Summary
`CellOccupantEdit3DPart(IColorProvider colorProvider)`

Method Summary
`protected IFigure` | `buildFigure(IFigure figure)` Construct the figure used to represent this agent.

Methods inherited from class org.eclipse.amp.agf3d.AgentEdit3DPart
`createFigure, getRelativeLocation3D, isUpdate, setUpdate`

Methods inherited from class org.eclipse.amp.agf.gef.AgentEditPart
`getConnectionAnchor, getModelSourceConnections, getModelTargetConnections, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor`

Methods inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`activate, createEditPolicies, deactivate, propertyChange, refresh, refreshVisuals, shapeMarker, shapeMarker2, shapeMarker3, shapeMarker4, shapeOval, shapeRectangle, shapeRoundedRect, updateSelection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellOccupantEdit3DPart

    public CellOccupantEdit3DPart(IColorProvider colorProvider)

Parameters:
  `colorProvider` -

Method Detail

### buildFigure

    protected IFigure buildFigure(IFigure figure)

  Description copied from class: `GenericEditPart`
  Construct the figure used to represent this agent. This method is intended to both create and update figures. If a figure is passed in, this method should modify that figure as desired. If no figure is passed in, this method should create that figure and then update it.

  Overrides:
    `buildFigure` in class `AgentEdit3DPart`
  Parameters:
    `figure` -
  Returns:
  See Also:
    `org.eclipse.amp.agf3d.AgentEdit3DPart#buildFigure(org.eclipse.draw2d.IFigure)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors